<?php

namespace App\Http\Controllers;

use App\Http\Requests\RegistrationForm;
use App\Mail\Welcome;

class RegistrationController extends Controller
{
    public function create()
    {
        return view('registration.create');
    }

    /**
     * Submitted data validation:
     * - now in RegistrationRequest::rules().
     * - the code in this method won't be run if validation fails.
     * - validation is found by Reflection on the method type hint.
     */
    public function store(RegistrationForm $request)
    {
        $user = $request->persist();

        // Sign user in.
        auth()->login($user);

        \Mail::to($user)->send(new Welcome($user));


        return redirect()->home();
    }
}
